Oore CI
ReferenceAPIOperationsScoped Download Tokens

Create scoped download token

Generates a scoped, time-limited download token for a specific artifact. The token can be shared with external users who don't have an account.

Operation IDcreate_scoped_download_token
POST
/v1/artifacts/{artifact_id}/scoped-token

Generates a scoped, time-limited download token for a specific artifact. The token can be shared with external users who don't have an account.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

artifact_id*string

Artifact ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/artifacts/string/scoped-token" \  -H "Content-Type: application/json" \  -d '{}'
{  "download_url": "string",  "expires_at": 0,  "id": "string",  "prefix": "string",  "single_use": true,  "token": "string"}